Revoke API Key
curl --request POST \
--url https://api.example.com/v1/api-keys/{key_id}/revokeimport requests
url = "https://api.example.com/v1/api-keys/{key_id}/revoke"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/api-keys/{key_id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2024-01-01T00:00:00",
"expiration_date": "2024-12-31T23:59:59",
"key_id": "507f1f77bcf86cd799439011",
"name": "Development API Key",
"permissions": [
"read",
"write"
],
"revoked": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Keys
Revoke API Key
Revoke an API key
POST
/
v1
/
api-keys
/
{key_id}
/
revoke
Revoke API Key
Path Parameters
Response
Successful Response
Unique identifier for this API key in the database
The descriptive name given to this API key
List of permission scopes granted to this API key
Timestamp when this API key will expire and become invalid
Timestamp when this API key was created
Identifier of the user who created this API key
Indicates if this API key has been manually revoked before its expiration date

